import './App.css'
import { Routes, Route, Link } from 'react-router-dom'
import Home from './features/Home/Home'
import Catalog from './features/Catalog/Catalog'
import NotFound from './features/NotFound/NotFound'
import { Box, Container, Paper, Theme } from '@mui/material'
import { ThemeProvider } from '@emotion/react'
import { useSelector } from 'react-redux'
import { RootState } from './features/redux/store'
import Login from './features/Auth/Login'
import CatalogItemDetail from './features/Catalog/CatalogItemDetail'
import Navigation from './features/Navigation/Navigation'
import TrackingTool from './features/TrackingTool/TrackingTool'
import Logout from './features/Auth/Logout'
import ThemeWrapper from './features/Theme/ThemeWrapper'

const App = () => {

    return (
        <ThemeWrapper>
            <Navigation>
                <Box sx={{mx: 10}}>
                    <Routes>
                        <Route path="/" element={<Home />} />
                        <Route path="/catalog" element={<Catalog />} />
                        <Route
                            path="/catalog/:itemId"
                            element={<CatalogItemDetail />}
                        />
                        <Route path="/login" element={<Login />} />
                        <Route path="/logout" element={<Logout />} />
                        <Route path="/map" element={<TrackingTool />} />
                        <Route path="*" element={<NotFound />} />
                    </Routes>
                </Box>
            </Navigation>
        </ThemeWrapper>
    )
}

export default App
